=== debian/control ===
Source: heimdal
Section: net
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Dominik George <nik@naturalnet.de>
Homepage: http://www.h5l.org/
Standards-Version: 4.1.2
Build-Depends: dpkg-dev (>= 1.22.5), bison,
               comerr-dev (>= 1.41.11),
               debhelper (>= 10),
               flex,
               libcap-ng-dev [linux-any],
               libdb-dev,
               libedit-dev,
               libjson-perl,
               libldap2-dev,
               libncurses-dev,
               libsqlite3-dev,
               netbase,
               pkgconf,
               python3,
               texinfo,
               unzip,
Vcs-Browser: https://salsa.debian.org/debian/heimdal
Vcs-Git: https://salsa.debian.org/debian/heimdal.git

Package: heimdal-docs
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: heimdal-clients, heimdal-servers
Multi-Arch: foreign
Description: Heimdal Kerberos - documentation
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes documentation (in info format) on how to
 use Heimdal, and relevant standards for Kerberos.

Package: heimdal-kdc
Architecture: any
Conflicts: heimdal-clients (<< 0.4e-3),
           heimdal-servers (<< 0.6.3-3),
           kerberos4kth-kdc,
           krb5-admin-server,
           krb5-kdc
Depends: debconf (>= 0.5.00) | debconf-2.0,
         heimdal-clients,
         krb5-config,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: logrotate
Suggests: heimdal-docs
Description: Heimdal Kerberos - key distribution center (KDC)
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KDC (key distribution center) server,
 which is designed to run on a secure computer and keeps track
 of users' passwords. This is done using the Kerberos protocol in
 such a way that the server computers do not need to know the
 passwords.

Package: heimdal-multidev
Section: devel
Architecture: any
Multi-Arch: no
Conflicts: heimdal-clients (<< 0.4e-7), kerberos4kth-dev
Depends: comerr-dev,
         libasn1-8t64-heimdal (= ${binary:Version}),
         libgssapi3t64-heimdal (= ${binary:Version}),
         libhcrypto5t64-heimdal (= ${binary:Version}),
         libhdb9t64-heimdal (= ${binary:Version}),
         libheimbase1t64-heimdal (= ${binary:Version}),
         libhx509-5t64-heimdal (= ${binary:Version}),
         libkadm5clnt7t64-heimdal (= ${binary:Version}),
         libkadm5srv8t64-heimdal (= ${binary:Version}),
         libkafs0t64-heimdal (= ${binary:Version}),
         libkdc2t64-heimdal (= ${binary:Version}),
         libkrb5-26t64-heimdal (= ${binary:Version}),
         libwind0t64-heimdal (= ${binary:Version}),
         libotp0t64-heimdal (= ${binary:Version}),
         libsl0t64-heimdal (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: heimdal-dev (<< 1.6~git20131117+dfsg-2)
Suggests: heimdal-docs
Description: Heimdal Kerberos - Multi-implementation Development
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package provides versions of the Heimdal development files that
 can be installed along-side MIT Kerberos development files.
 Normally, heimdal-dev should be used. However if a package needs to
 build  against both Heimdal Kerberos and MIT Kerberos, then the
 multidev package should be used.

Package: heimdal-dev
Depends: heimdal-multidev (= ${binary:Version}), ${misc:Depends}
Section: devel
Conflicts: libkrb5-dev
Architecture: any
Multi-Arch: no
Description: Heimdal Kerberos - development files
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This is the development package, required for developing
 programs for Heimdal.

Package: heimdal-clients
Architecture: any
Depends: krb5-config, ${misc:Depends}, ${shlibs:Depends}
Conflicts: otp
Suggests: heimdal-docs, heimdal-kcm
Description: Heimdal Kerberos - clients
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes Kerberos utilities like kadmin, kinit, kpasswd and
 klist.

Package: heimdal-kcm
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - KCM daemon
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KCM daemon which can hold the credentials
 for all users in the system. Access control is done with Unix-like
 permissions. The daemon checks the access on all operations based on
 the UID and GID of the user. The tickets are renewed as long as is
 permitted by the KDC's policy.

Package: heimdal-servers
Architecture: any
Depends: krb5-config,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: heimdal-docs
Description: Heimdal Kerberos - server programs
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the kfd server, for receiving forwarded tickets.

Package: libheimbase1t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libheimbase1-heimdal
Replaces: libheimbase1-heimdal
Breaks: libheimbase1-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - Base library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the base library.

Package: libasn1-8t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libasn1-8-heimdal
Replaces: libasn1-8-heimdal
Breaks: libasn1-8-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - ASN.1 library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the ASN.1 parser required for Heimdal.

Package: libkrb5-26t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libkrb5-26-heimdal
Replaces: libkrb5-26-heimdal
Breaks: libkrb5-26-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - libraries
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the Kerberos 5 library.

Package: libhdb9t64-heimdal
Replaces: libhdb9-heimdal
Breaks: libhdb9-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
X-Time64-Compat: libhdb9-heimdal
Provides: ${t64:Provides}, heimdal-hdb-api-8
Description: Heimdal Kerberos - kadmin server library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for storing the KDC database.

Package: libkadm5srv8t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libkadm5srv8-heimdal
Replaces: libkadm5srv8-heimdal
Breaks: libkadm5srv8-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the server library for kadmin.

Package: libkadm5clnt7t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libkadm5clnt7-heimdal
Replaces: libkadm5clnt7-heimdal
Breaks: libkadm5clnt7-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - kadmin client library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the client library for kadmin.

Package: libgssapi3t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libgssapi3-heimdal
Replaces: libgssapi3-heimdal
Breaks: libgssapi3-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Conflicts: libgssapi3
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - GSSAPI support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for GSSAPI support.

Package: libkafs0t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libkafs0-heimdal
Replaces: libkafs0-heimdal
Breaks: libkafs0-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - KAFS support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for KAFS support.

Package: libroken19t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libroken19-heimdal
Replaces: libroken19-heimdal
Breaks: libroken19-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - roken support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for roken support.

Package: libotp0t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libotp0-heimdal
Replaces: libotp0-heimdal
Breaks: libotp0-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Conflicts: libotp0-kerberos4kth
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - OTP support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for OTP support.

Package: libsl0t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libsl0-heimdal
Replaces: libsl0-heimdal
Breaks: libsl0-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Conflicts: libsl0-kerberos4kth
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - SL support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for SL support.

Package: libkdc2t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libkdc2-heimdal
Replaces: libkdc2-heimdal
Breaks: libkdc2-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - KDC support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the KDC support library.

Package: libhx509-5t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libhx509-5-heimdal
Replaces: libhx509-5-heimdal
Breaks: libhx509-5-heimdal (<< ${source:Version})
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Heimdal Kerberos - X509 support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the x509 supportlibrary.

Package: libheimntlm0t64-heimdal
Provides: ${t64:Provides}
X-Time64-Compat: libheimntlm0-heimdal
Replaces: libheimntlm0-heimdal
Breaks: libheimntlm0-heimdal (<< ${source:Version})
Multi-Arch: same
